GET
/api/v1/contacts/{id}/opportunitiesGet Contact Opportunities
Returns a list of opportunities associated with a contact.
Authentication
Send your API key in the x-api-key header.
x-api-keybearer
Parameters
idrequiredpath · string
Contact ID to get opportunities from.
pagequery · number
Page number to retrieve.
limitquery · number
Number of items per page.
Responses
200
PublicApiGetContactOpportunitiesResponseDto
statusCoderequirednumber
countrequirednumber
errorrequiredstring
datarequiredarray<PublicApiContactOpportunityDto>
Example response
json
{
"statusCode": 200,
"count": 0,
"error": null,
"data": [
{
"opportunityId": "5516cd47-2bd0-4f4f-adc2-22524e54ba4d",
"opportunityName": "Q1 Sales Deal",
"opportunityAmount": 50000,
"opportunityStatus": "Open"
}
]
}
401Unauthorized - missing or invalid API key or Bearer token